Bug 2101364 - Update Lmod to 8.7.x
Summary: Update Lmod to 8.7.x
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: Lmod
Version: epel7
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-06-27 10:03 UTC by Ward
Modified: 2022-07-16 02:03 UTC (History)
2 users (show)

Fixed In Version: Lmod-8.7.7-1.el8 Lmod-8.7.7-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-15 02:06:16 UTC
Type: Bug


Attachments (Terms of Use)

Description Ward 2022-06-27 10:03:40 UTC
Lmod got a very nice extra feature in the 8.6 series: the ability to use a configuration file for setting up Lmod ( https://github.com/TACC/Lmod#lmod-86= )

8.7 got important fixes to make sure a unload never fails and handling of a break statement in a module file.

It would be very convenient if the EPEL version could get updated to at least a 8.6 version.

I'm happy to help testing.

Comment 1 Ward 2022-06-27 10:04:37 UTC
It's a bit unclear to me: do I need to open a new bug report for EPEL 8 and EPEL 9 too?

Comment 2 Orion Poplawski 2022-06-28 04:31:41 UTC
I think we can keep EPEL7/8 in this bug.  EPEL9 is being tracked in bug 2091145 - we are still waiting on lua-lunitx.

I've done some scratch builds if you would please test:
EL7 - https://koji.fedoraproject.org/koji/taskinfo?taskID=88828929
EL8 - https://koji.fedoraproject.org/koji/taskinfo?taskID=88828927

Comment 3 Ward 2022-07-06 06:38:28 UTC
I've tried both and no issues found.

Comment 4 Fedora Update System 2022-07-06 14:03:11 UTC
FEDORA-EPEL-2022-ef538a2f42 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-ef538a2f42

Comment 5 Fedora Update System 2022-07-06 14:03:12 UTC
FEDORA-EPEL-2022-c4f1f20019 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-c4f1f20019

Comment 6 Fedora Update System 2022-07-07 01:54:56 UTC
FEDORA-EPEL-2022-c4f1f20019 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-c4f1f20019

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-07-08 02:22:20 UTC
FEDORA-EPEL-2022-ef538a2f42 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-ef538a2f42

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-07-15 02:06:16 UTC
FEDORA-EPEL-2022-c4f1f20019 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2022-07-16 02:03:16 UTC
FEDORA-EPEL-2022-ef538a2f42 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.